<?php

$designer_dresses_custom_css = "";

$designer_dresses_primary_color = get_theme_mod('designer_dresses_primary_color');
$designer_dresses_second_color = get_theme_mod('designer_dresses_second_color');

/*------------------ Primary Global Color -----------*/

if ($designer_dresses_primary_color) {
  $designer_dresses_custom_css .= ':root {';
  $designer_dresses_custom_css .= '--primary-color: ' . esc_attr($designer_dresses_primary_color) . ' !important;';
  $designer_dresses_custom_css .= '} ';
}

/*------------------ Secondary Global Color -----------*/

if ($designer_dresses_second_color) {
  $designer_dresses_custom_css .= ':root {';
  $designer_dresses_custom_css .= '--secondary-color: ' . esc_attr($designer_dresses_second_color) . ' !important;';
  $designer_dresses_custom_css .= '} ';
}

/*-------------------- Container Width-------------------*/

$designer_dresses_theme_width = get_theme_mod( 'designer_dresses_theme_width','full-width');

if($designer_dresses_theme_width == 'full-width'){
$designer_dresses_custom_css .='body{';
	$designer_dresses_custom_css .='max-width: 100% !important;';
$designer_dresses_custom_css .='}';
}else if($designer_dresses_theme_width == 'container'){
$designer_dresses_custom_css .='body{';
	$designer_dresses_custom_css .='width: 85% !important; padding-right: 15px; padding-left: 15px;  margin-right: auto !important; margin-left: auto !important;';
$designer_dresses_custom_css .='}';
$designer_dresses_custom_css .='.page-template-template-home .site-header, .sticky-head{';
	$designer_dresses_custom_css .='width: 83%; left: 0; right: 0; margin: 0 auto;';
$designer_dresses_custom_css .='}';
}else if($designer_dresses_theme_width == 'container-fluid'){
$designer_dresses_custom_css .='body{';
	$designer_dresses_custom_css .='width: 95% !important;padding-right: 15px;padding-left: 15px;margin-right: auto;margin-left: auto;';
$designer_dresses_custom_css .='}';
$designer_dresses_custom_css .='.page-template-template-home .site-header, .sticky-head{';
	$designer_dresses_custom_css .='width: 93%; left: 0; right: 0; margin: 0 auto;';
$designer_dresses_custom_css .='}';
}

/*-------------------- Single Post Alignment-------------------*/

$designer_dresses_single_post_align = get_theme_mod( 'designer_dresses_single_post_align');

if($designer_dresses_single_post_align == 'left-align'){
$designer_dresses_custom_css .='body:not(.hide-post-meta) .post{';
	$designer_dresses_custom_css .='text-align: left';
$designer_dresses_custom_css .='}';
}else if($designer_dresses_single_post_align == 'right-align'){
$designer_dresses_custom_css .='body:not(.hide-post-meta) .post{';
	$designer_dresses_custom_css .='text-align: right';
$designer_dresses_custom_css .='}';
}else if($designer_dresses_single_post_align == 'center-align'){
$designer_dresses_custom_css .='body:not(.hide-post-meta) .post{';
	$designer_dresses_custom_css .='text-align: center';
$designer_dresses_custom_css .='}';
}

/*-------------------- Scroll Top Alignment-------------------*/

$designer_dresses_scroll_top_alignment = get_theme_mod( 'designer_dresses_scroll_top_alignment','right-align');

if($designer_dresses_scroll_top_alignment == 'right-align'){
$designer_dresses_custom_css .='#button{';
	$designer_dresses_custom_css .='right: 5%;';
$designer_dresses_custom_css .='}';
}else if($designer_dresses_scroll_top_alignment == 'center-align'){
$designer_dresses_custom_css .='#button{';
	$designer_dresses_custom_css .='right:0; left:0; margin: 0 auto;';
$designer_dresses_custom_css .='}';
}else if($designer_dresses_scroll_top_alignment == 'left-align'){
$designer_dresses_custom_css .='#button{';
	$designer_dresses_custom_css .='left: 5%;';
$designer_dresses_custom_css .='}';
}

/*-------------------- Archive Page Pagination Alignment-------------------*/

$designer_dresses_archive_pagination_alignment = get_theme_mod( 'designer_dresses_archive_pagination_alignment','left-align');

if($designer_dresses_archive_pagination_alignment == 'right-align'){
$designer_dresses_custom_css .='.pagination{';
	$designer_dresses_custom_css .='justify-content: end;';
$designer_dresses_custom_css .='}';
}else if($designer_dresses_archive_pagination_alignment == 'center-align'){
$designer_dresses_custom_css .='.pagination{';
	$designer_dresses_custom_css .='justify-content: center;';
$designer_dresses_custom_css .='}';
}else if($designer_dresses_archive_pagination_alignment == 'left-align'){
$designer_dresses_custom_css .='.pagination{';
	$designer_dresses_custom_css .='justify-content: start;';
$designer_dresses_custom_css .='}';
}

/*-------------------- Scroll Top Responsive-------------------*/

$designer_dresses_resp_scroll_top = get_theme_mod( 'designer_dresses_resp_scroll_top',true);
if($designer_dresses_resp_scroll_top == true && get_theme_mod( 'designer_dresses_scroll_to_top',true) != true){
	$designer_dresses_custom_css .='#button.show{';
		$designer_dresses_custom_css .='visibility:hidden !important;';
	$designer_dresses_custom_css .='} ';
}
if($designer_dresses_resp_scroll_top == true){
	$designer_dresses_custom_css .='@media screen and (max-width:575px) {';
	$designer_dresses_custom_css .='#button.show{';
		$designer_dresses_custom_css .='visibility:visible !important;';
	$designer_dresses_custom_css .='} }';
}else if($designer_dresses_resp_scroll_top == false){
	$designer_dresses_custom_css .='@media screen and (max-width:575px){';
	$designer_dresses_custom_css .='#button.show{';
		$designer_dresses_custom_css .='visibility:hidden !important;';
	$designer_dresses_custom_css .='} }';
}

/*-------------------- Preloader Responsive-------------------*/

	$designer_dresses_resp_loader = get_theme_mod('designer_dresses_resp_loader',false);
	if($designer_dresses_resp_loader == true && get_theme_mod('designer_dresses_header_preloader',false) == false){
		$designer_dresses_custom_css .='@media screen and (min-width:575px){
			.preloader{';
			$designer_dresses_custom_css .='display:none !important;';
		$designer_dresses_custom_css .='} }';
	}

	if($designer_dresses_resp_loader == false){
		$designer_dresses_custom_css .='@media screen and (max-width:575px){
			.preloader{';
			$designer_dresses_custom_css .='display:none !important;';
		$designer_dresses_custom_css .='} }';
	}

// Scroll to top button shape 

$designer_dresses_scroll_border_radius = get_theme_mod( 'designer_dresses_scroll_to_top_radius','curved-box');
if($designer_dresses_scroll_border_radius == 'box'){
	$designer_dresses_custom_css .='#button{';
		$designer_dresses_custom_css .='border-radius: 0px;';
	$designer_dresses_custom_css .='}';
}else if($designer_dresses_scroll_border_radius == 'curved-box'){
	$designer_dresses_custom_css .='#button{';
		$designer_dresses_custom_css .='border-radius: 4px;';
	$designer_dresses_custom_css .='}';
}
else if($designer_dresses_scroll_border_radius == 'circle'){
	$designer_dresses_custom_css .='#button{';
		$designer_dresses_custom_css .='border-radius: 50%;';
	$designer_dresses_custom_css .='}';
}

// Footer Background Image Attachment 

$designer_dresses_footer_attachment = get_theme_mod( 'designer_dresses_background_attachment','scroll');
if($designer_dresses_footer_attachment == 'fixed'){
	$designer_dresses_custom_css .='.site-footer{';
		$designer_dresses_custom_css .='background-attachment: fixed;';
	$designer_dresses_custom_css .='}';
}elseif ($designer_dresses_footer_attachment == 'scroll'){
	$designer_dresses_custom_css .='.site-footer{';
		$designer_dresses_custom_css .='background-attachment: scroll;';
	$designer_dresses_custom_css .='}';
}

// Menu Hover Style	

$designer_dresses_menus_item = get_theme_mod( 'designer_dresses_menus_style','None');
if($designer_dresses_menus_item == 'None'){
	$designer_dresses_custom_css .='#site-navigation .menu ul li a:hover, .main-navigation .menu li a:hover{';
		$designer_dresses_custom_css .='';
	$designer_dresses_custom_css .='}';
}else if($designer_dresses_menus_item == 'Zoom In'){
	$designer_dresses_custom_css .='#site-navigation .menu ul li a:hover, .main-navigation .menu li a:hover{';
	$designer_dresses_custom_css .= 'transition: all 0.3s ease-in-out !important; transform: scale(1.1) !important;';
	$designer_dresses_custom_css .= '}';
	
	$designer_dresses_custom_css .= '.main-navigation ul ul li a:hover {';
	$designer_dresses_custom_css .= 'margin-left: 20px;';
	$designer_dresses_custom_css .= '}';
}	

// Post Content Alignment

$designer_dresses_blog_layout_option = get_theme_mod( 'designer_dresses_blog_layout_option','Left');
if($designer_dresses_blog_layout_option == 'Left'){
	$designer_dresses_custom_css .='.post{';
		$designer_dresses_custom_css .='text-align: left;';
	$designer_dresses_custom_css .='}';
}elseif ($designer_dresses_blog_layout_option == 'Right'){
	$designer_dresses_custom_css .='.post{';
		$designer_dresses_custom_css .='text-align: right;';
	$designer_dresses_custom_css .='}';
}elseif ($designer_dresses_blog_layout_option == 'Center'){
	$designer_dresses_custom_css .='.post{';
		$designer_dresses_custom_css .='text-align: center;';
	$designer_dresses_custom_css .='}';
}